{% extends 'layout.html.twig' %}

{% import 'task/_navigation.html.twig' as nav %}

{% block content %}
  <h1>{{ 'task.action.read'|trans }}</h1>

  {{ nav.breadcrumbs(entity, 'read') }}

  <div class="row expanded collapse">
    <div class="large-6 columns end">
      <table>
        <thead>
          <tr>
            <th width="30%">{{ 'common.param'|trans }}</th>
            <th>{{ 'common.value'|trans }}</th>
          </tr>
        </thead>
        <tbody>
          {% include 'task/_summary.html.twig' with {'entity': entity} %}
          {% if entity.parent %}
            <tr>
              <td>{{ 'task.entity.parent'|trans }}</td>
              <td>
                <a href="{{ path('task_read', {'id': entity.parent.id})}}" title="{{ 'task.action.read'|trans }}">
                  {{ 'task.other.parent'|trans({'%id%': entity.parent.id, '%date%': entity.parent.createdAt|date(datetime_format)}) }}
                </a>
              </td>
            </tr>
          {% endif %}
          <tr>
            <td>{{ 'task.entity.clientName'|trans }}</td>
            <td>{{ entity.clientName }}</td>
          </tr>
          <tr>
            <td>{{ 'task.entity.description'|trans }}</td>
            <td>{{ entity.description|nl2br }}</td>
          </tr>
          <tr>
            <td>{{ 'task.entity.completed'|trans }}</td>
            <td>
              {% if entity.completed %}
                <span class="label success">{{ 'task.completed.yes'|trans }}</span>
              {% else %}
                <span class="label secondary">{{ 'task.completed.no'|trans }}</span>
              {% endif %}
            </td>
          </tr>
          <tr>
            <td>{{ 'task.entity.final'|trans }}</td>
            <td>
              {% if entity.final %}
                <span class="label success">{{ 'task.final.yes'|trans }}</span>
              {% else %}
                <span class="label secondary">{{ 'task.final.no'|trans }}</span>
              {% endif %}
            </td>
          </tr>
          <tr>
            <td>{{ 'task.entity.createdAt'|trans }}</td>
            <td>{{ entity.createdAt ? entity.createdAt|date(datetime_format) : '---' }}</td>
          </tr>
          <tr>
            <td>{{ 'task.entity.updatedAt'|trans }}</td>
            <td>{{ entity.updatedAt ? entity.updatedAt|date(datetime_format) : '---' }}</td>
          </tr>
          <tr>
            <td>{{ 'task.entity.completedAt'|trans }}</td>
            <td>{{ entity.completedAt ? entity.completedAt|date(datetime_format) : '---' }}</td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>

  {{ nav.actions(entity, {'list': true, 'update': true, 'input': true, 'complete': true, 'report': true, 'fork': true, 'summarize': true}) }}
{% endblock %}
